Bug 5683 - Redhat 6.0, Xfree86 3.3.5,seems to cause SCSI bus errors
Redhat 6.0, Xfree86 3.3.5,seems to cause SCSI bus errors
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
Depends On:
  Show dependency treegraph
Reported: 1999-10-07 11:36 EDT by amulder
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-02-04 11:26:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description amulder 1999-10-07 11:36:15 EDT
I have been running RedHat 6.0 for a number of months.
Last week I applied a number of security and recommended
patches to my system.  I obtained those patches from the
RedHat web site.

Among those patches was the full suite of Xfree86 3.3.5
rpm's.  (I also applied Gnome, CDE, netkit, termcap,
rpm, telnet, traceroute patches.  I can provide a full
detailed list)

Starting on the weekend, my system starting logging SCSI
errors of the form:
  Oct  5 04:02:47 willow kernel: SCSI host 0
      abort (pid 142691) timed out - resetting
  Oct  5 04:02:47 willow kernel: SCSI bus is being
      reset for host 0 channel 0.

One symptom for me seems to be that StarOffice has twice
now locked up completely.  The process is defunct, and
not killable.  I rebooted once, and ended up having to
manually fsck to clean up the disk.

The reason I suspect Xfree86 is that I when looking through
deja.com and found several posting by Randall J. Parr
(one in comp.os.linux.x under the title "bug/conflicts in
XFree86 3.3.5 on RH6?" dated Sep 23/1999)  He detailed quite
well an almost identical situation, only he had done a
better job of tracking it down to XFree86.  His solution was
to downgrade to version 3.3.3.  I emailed him and he replied
that he has not received a single other response to his
several usenet postings.

I thought I should try submitting an official bug report,
in case this really is something new to you guys.  I checked
what I could on the redhat support pages and couldn't find
anything similar.

For completenes, I have a Intel PII-350, ASUS-P2B motherbd,
Adaptec 2940UW scsi card, Yamaha crw4416 cd-rw, and seagate
ST34520W SCSI hard disk.  the other system hardware should
be irrelevant, but to cover everything, the video card is
an 8MB AGP ati xpert98.  Uname -a reports
kernel version 2.2.5-22 #1.

thank you for your attention.
Comment 1 Preston Brown 2000-02-04 11:26:59 EST
this is a symptom of faulty hardware, not of bad software.  There is NO WAY that
XFree86 can cause bad interactions with the SCSI bus.  Maybe your hard drive is

Note You need to log in before you can comment on or make changes to this bug.